import QuickActionButton, {QuickActionButtonProps} from "./QuickActionButton.tsx";
import "../stylesheets/QuickActions.css"

type QuickActionsProps = {
    quickActions?: QuickActionButtonProps[];
}

function QuickActions({quickActions}: QuickActionsProps) {
    if (quickActions) {
        return <div className="quickActions">{quickActions.map(
            (action, index) =>
                <QuickActionButton iconClassName={action.iconClassName}
                                   tooltip={action.tooltip}
                                   onClick={action.onClick}
                                   key={index}
                />
        )} </div>
    }
}

export default QuickActions;
